> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List deployments for a repo

> List deployments for a repo, identified by its internal `id` (the `{repo}`
path segment), newest first.

- end_ts defaults to now.
- start_ts defaults to 28 days before end_ts.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /repos/{org}/{repo}/deployments
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /repos/{org}/{repo}/deployments:
    get:
      tags:
        - Repos
      summary: List deployments for a repo
      description: >-
        List deployments for a repo, identified by its internal `id` (the
        `{repo}`

        path segment), newest first.


        - end_ts defaults to now.

        - start_ts defaults to 28 days before end_ts.
      operationId: list_repo_deployments
      parameters:
        - name: repo
          in: path
          required: true
          schema:
            type: string
            title: Repo
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 0
            description: Number of deployments per page
            default: 15
            title: Per Page
          description: Number of deployments per page
        - name: env
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            description: >-
              Filter by environment name. Repeat to select several; omit for all
              environments the repo has been deployed to.
            default: []
            title: Env
          description: >-
            Filter by environment name. Repeat to select several; omit for all
            environments the repo has been deployed to.
        - name: start_ts
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            description: >-
              Include deployments at or after this timestamp. Defaults to 28
              days before end_ts
            title: Start Ts
          description: >-
            Include deployments at or after this timestamp. Defaults to 28 days
            before end_ts
        - name: end_ts
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            description: Include deployments at or before this timestamp. Defaults to now
            title: End Ts
          description: Include deployments at or before this timestamp. Defaults to now
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepoDeploymentListResponse'
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__41
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    RepoDeploymentListResponse:
      properties:
        _links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Links
        page:
          type: integer
          title: Page
        per_page:
          type: integer
          title: Per Page
        total_pages:
          type: integer
          title: Total Pages
        total_count:
          type: integer
          title: Total Count
        deployments:
          items:
            $ref: '#/components/schemas/DeploymentReportListItemResponse'
          type: array
          title: Deployments
      additionalProperties: false
      type: object
      required:
        - page
        - per_page
        - total_pages
        - total_count
        - deployments
      title: RepoDeploymentListResponse
    fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__41:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: NotFoundResponseModel
      description: Repo not found
      examples:
        - message: Repo not found
    DeploymentReportListItemResponse:
      properties:
        fingerprint:
          type: string
          title: Fingerprint
        artifact_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Artifact Name
        compliance:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Compliance
        env_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Env Name
        snapshot_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Snapshot Index
        deployed_at:
          type: number
          title: Deployed At
        commit:
          anyOf:
            - $ref: '#/components/schemas/GitCommitInfo'
            - type: 'null'
        replaced_artifact:
          anyOf:
            - $ref: '#/components/schemas/ReplacedDeploymentArtifact'
            - type: 'null'
        diff_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Diff Url
        _links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Links
      type: object
      required:
        - fingerprint
        - deployed_at
      title: DeploymentReportListItemResponse
    GitCommitInfo:
      properties:
        sha1:
          type: string
          title: Sha1
          description: The SHA-1 hash of the commit
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: The commit message
        author:
          anyOf:
            - type: string
            - type: 'null'
          title: Author
          description: The commit author
        branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch
          description: The branch name
        timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: Timestamp
          description: The commit timestamp
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: The commit URL
      type: object
      required:
        - sha1
      title: GitCommitInfo
      description: |-
        Git commit information response model.

        Excludes author_username, parents, and url from JSON when not present.
    ReplacedDeploymentArtifact:
      properties:
        fingerprint:
          type: string
          title: Fingerprint
        artifact_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Artifact Name
        snapshot_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Snapshot Index
        commit:
          anyOf:
            - $ref: '#/components/schemas/GitCommitInfo'
            - type: 'null'
      type: object
      required:
        - fingerprint
      title: ReplacedDeploymentArtifact
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````